* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family:Arial, Helvetica, sans-serif;
}
 body {
    min-height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    background: linear-gradient(135deg, #dbeafe, #bfdbfe, #93c5fd);
    padding: 20px;
    
 }

 .todo-container {
    width: 100%;
    height: 300px;
    max-width: 500px;
    background: rgba(255, 255, 255, 0.85);
    border-radius: 25px;
    box-shadow: 0 10px 25px rgba(0, 0, 0, 0.15);
    padding: 25px;
    height: auto;
 }

 h1 {
    text-align: center;
    margin-top: 30px;
    margin-bottom: 20px;
    color: #1e3a8a;
 }

 .input-section {
    display: flex;
    gap: 10px;
    margin-bottom: 20px;
    width: 80%;
    margin-left: auto;
    margin-right: auto;
}

 .input-section input {
    width: 180px;
    flex: 1;
    padding: 12px;
    border: 2px solid #93c5fd;
    border-radius: 10px;
 }

 .input-section button {
    padding: 10px 17px;
    border: none;
    background: #2563eb;
    color: white;
    border-radius: 10px;
    cursor: pointer;
 }

 .input-section button:hover {
    background: #1d4ed8;
 }
 ul {
    list-style-type: none;
 }
 li {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background: white;
    padding: 12px 15px;
    margin-bottom: 12px;
    border-radius: 12px;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.08);
    gap: 10px;
    width: 80%;
    margin-left: auto;
    margin-right: auto;
 }

 li span {
    flex: 1;
    cursor: pointer;

 }

 li.completed span {
    text-decoration: line-through;
    color: #6b7280;
 }
 .delete-btn {
    border: none;
    background: #ef4444;
    color: white;
    padding: 8px 12px;
    border-radius: 8px;
    cursor: pointer;
 }
 .delete-btn:hover {
    background: #dc2626;
 }
 .msg {
    text-align: center;
    margin-top: 10px;
    font-size: 14px;
    color: #374151;
 }